@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

:root {
    --standard-blue: #0c59a6;
    --lightest-blue: #88bff6;
    --lighter-blue: #59a6f3;
    --light-blue: #1180ee;
    --dark-blue: #14248A;
    --footer-blue: #0a4d8f;
    --light-white: #F9F5FF;
    --lightest-lavender: #eee7fe;
    --lighter-lavender: #D4C2FC;
    --light-lavender: #c6abff;
    --bright-lavender: #bfa5f8;
    --lavender: #aa85f9;
    --grey: #545c59;
    --nav-height: 87px;
}

img {
    margin: 20px;
    height: auto;
    width: 800px;
    align-self: center;
    border-radius: 12px;
}

.left-padding {
    padding-left: 20px;
}

.spacer {
    height: 100px;
    width: 100px;
}

html {
    font-family: "Outfit", sans-serif;
    background: var(--light-white);
    margin:0;
    font-size: 20px;
}


@media (max-width: 480px) {
    html {
        font-size: 16px;
    }
}

input:checked {
    width: 20px;
    background: red;
}

input[type="checkbox"] {
    width: 30px;
    height: 30px;
    align-self: center;
}


nav {
    background: var(--lightest-blue);
    padding: 10px;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 1000;
}

nav a, nav button {
    color: var(--lightest-lavender);
    background: var(--standard-blue);
    text-decoration: none;
    padding: 12px;
    font-size: 2.5rem;
    font-family: "Outfit", sans-serif; /* do not remove, gives button correct style */
    border: none;
    flex-direction: row;
    top: 0;
    display: inline;
    border-radius: 12px;
}

body {
    margin: 0;
    padding-top: var(--nav-height);
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.body {
    flex: 1;
}

.tournament {
    color: red;
}

.pointer-td:hover {
    cursor: pointer;
}

th {
    border: var(--dark-blue) solid 1px;
}

table tr td {
    text-align: center;
}

.zusatz-info {
    background: var(--bright-lavender);
}

.zusatz-info input {
    background: var(--lightest-lavender);
    border-radius: 20px;
    border: none;
    color: var(--standard-blue);
    max-width: 150px;
}

.zusagen-additional-info {
    font-size: 0.9rem;
    margin: 0;
    padding: 0;
}

.zusagen-box {
    width: 60px;
    margin: 1px;
    display: inline-block;
    border-radius: 12px;
}

.zusagen-sum {
    background: var(--light-lavender);
}

thead {
    background: var(--lighter-blue);
}

table {
    border-radius: 2px;
    border-collapse: collapse;
    border: none;
    background: var(--lightest-blue);
    font-size: 1.5rem;
    margin: 20px 10px 20px 10px;
}

th {
    font-weight: normal;
    border-left: var(--dark-blue) 1px solid;
    border-top: none;
    padding: 5px;
}

td:last-child, th:last-child {
    border-right: none;
}

td:first-child, th:first-child {
    border-left: none;
}



td {
    border: var(--dark-blue) 1px solid;
    padding: 0;
}



form {
    top: 0;
    margin-top: 0;
    display: inline;
}


.form-input-element {
    margin: 10px;

}


.login-input {
    background: var(--lightest-lavender);
    border-radius: 20px;
    border: var(--lighter-lavender) 1px solid;
    color: var(--light-blue);
}

.login-button {
    border-radius: 20px;
    max-width: 200px;
    background: var(--);
    border: var(--lighter-lavender) 1px solid;
    background: var(--lavender);
    cursor: pointer;
}


.login-input, .login-button {
    font-size: 1.3em;
    padding: 2px 10px 2px 10px;
}


.login-column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:0;
    align-items: center;
    margin-top: 15px;
}



.error {
    color: red;
}

p span {
    font-weight: bold;
}

li {

}

nav a:hover, nav button:hover {
    background: var(--light-blue);
    cursor: pointer;
}

p {
    display: block;
    justify-self: center;
    margin-left: 20px;
    margin-right: 20px;
    font-family: "Outfit", sans-serif;
}



h1 {
    margin-left: 10px;
}

h2 {
    margin-left: 15px;
}

h3 {
    margin-left: 20px;
}

li {
    margin-left: 35px;
}

.info-button {
    background: var(--lightest-blue);
    border-radius: 5px;
    border: var(--light-blue) solid 1px ;
}

.info-input {
    margin-top: 4px;
}

.info-column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:0;
    align-items: center;
}

.info-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    padding: 0 5px 0 5px;
    margin:0;
    gap:0;
}

.setting-column {
    margin-left: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:0;
    align-items: flex-start;
}

.setting-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    padding: 0 5px 0 5px;
    margin:0;
    gap:0;
}


.setting-label {
    font-size: 1rem;
    margin: 2px;
}

.setting-description {
    margin: 0;
    font-size: 0.8rem;
}



footer {
    background: var(--footer-blue);
    position: fixed;
    left: 0;
    bottom: 0;

    display: flex;
    flex-direction: row;
    z-index: 1000;

    margin-top: auto;
    width: 100%;
}

footer a {
    color: var(--lightest-lavender);
    text-decoration: none;
    display: flex;
    flex-direction: column;
    padding: 10px;
}

@media (max-width: 480px) {
    html {
        font-size: 16px;
    }

    nav a, nav button {
        font-size: 20px;
    }

    table {
        font-size: 12px;
    }

    .zusatz-info input {
        max-width: 30px;
    }

    .zusagen-additional-info {
        font-size: 8px;
    }

    img {
        max-width: 300px;
    }
}